Katello - Bug #5940

when waiting for content view versions list to appear, there is not spinning "Loaging..." sign
05/27/2014 02:10 PM - Brad Buckingham

Status: Closed

Priority: Normal

Assignee: Walden Raines

Category: Web Ul

Target version: Katello 2.0

Difficulty: Fixed in Releases:
Triaged: Yes Found in Releases:
Bugzilla link: 1080361 Red Hat JIRA:

Pull request:

Description

Cloned from https://bugzilla.redhat.com/show_bug.cqi?id=1080361

Description of problem:

When you are waiting for content view versions list to appear in webUI, there is not spinning "Loaging..." sign. This is confusing
because there is no clear indication if table is just empty, or waiting for data (and it takes about 90 seconds).

Version-Release number of selected component (if applicable):
Satellite-6.0.3-RHEL-6-20140321.2

How reproducible:
always

Steps to Reproduce:

1. Sync RHEL 6.5 RPMs + kickstarts

2. Create content view and assign these two repos to it

3. Create/publish new version of the CV - it will take some time to publish it
4. Go to Content -> Content Views -> <your_CV> -> Versions

Actual results:
No "Loading..." sign indicating something happens.

Expected results:
There should be "Loading..." sign, or the process should be much faster

Additional info:
Maybe this is not a webUl issue. Looks like for these 90 seconds Satellite 6 system gets load >1, so maybe there is something
broken there.

Associated revisions

Revision a81e1a06 - 05/27/2014 11:53 AM - Walden Raines

Fixes #5940/BZ1080361, show loading indicator for content view versions.

Revision 4e7eecc8 - 05/27/2014 01:02 PM - Walden Raines
Merge pull request #4157 from waldenraines/5940
Fixes #5940/BZ1080361, show loading indicator for content view versions.

Revision ef4187de - 05/27/2014 03:53 PM - Walden Raines

Fixes #5940/BZ1080361, show loading indicator for content view versions.

Revision a83fb6b1 - 05/27/2014 05:02 PM - Walden Raines
Merge pull request #4157 from waldenraines/5940

Fixes #5940/BZ1080361, show loading indicator for content view versions.

05/20/2024 12



https://bugzilla.redhat.com/show_bug.cgi?id=1080361

History

#1 - 05/27/2014 02:11 PM - Brad Buckingham

- Triaged set to Yes

#2 - 05/27/2014 03:50 PM - Walden Raines

- Status changed from New to Assigned

#3 - 05/27/2014 03:54 PM - Walden Raines
- Status changed from Assigned to Ready For Testing

https://github.com/Katello/katello/pull/4157

#4 - 05/27/2014 05:52 PM - Walden Raines
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset katellojcommit:ef4187de47dbb9b2156e8f03dalad0b57edc6e4?.

#5 - 08/22/2014 08:27 AM - Eric Helms

- translation missing: en.field_release set to 13
